#!/usr/bin/python

import logging
import yaml


class Inventory:
    def __init__(self, path='config/inventory.yaml'):
        with open(path) as invfd:
            self._inventory = yaml.load(invfd.read())


    def get_sans(self, hostname, servicetype, servicename):
        servicedict = self._inventory[hostname]
        servicesdict = servicedict[servicetype]
        return servicesdict[servicename]
